
Application: gvSIG desktop - gvSIG bugs #5547
Error al crear repositorio.
03/01/2021 11:50 AM - José Olivas

Status: Invalid % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category:
Target version: 2.6.0-3218
Severity: Minor Add-on version:
gvSIG version: 2.6.0 Add-on build:
gvSIG build: 3215 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto: AYTOA 1
Has patch: Hito: Fase 01
Add-on name: Unknown
Description

Reportado por Víctor

Al crear el repositorio me salió un mensaje en la barra de estado y en el log, pero se creó bien.

ERROR 1312751 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager -
org.gvsig.vcsgis.lib.VCSGisRuntimeException: The database can't have REPOSITORY_CODE variable.
org.gvsig.vcsgis.lib.VCSGisRuntimeException: The database can't have REPOSITORY_CODE variable.
    at org.gvsig.vcsgis.lib.repository.localdb.VCSGisRepositoryLocaldb.<init>(VCSGisRepositoryLocaldb.java:223)
    at org.gvsig.vcsgis.lib.VCSGisManagerImpl.openRepository(VCSGisManagerImpl.java:444)
    at
org.gvsig.vcsgis.swing.impl.initworkspace.VCSGisJInitWorkspaceImpl.getRepository(VCSGisJInitWorkspaceImpl.java:328)
    at
org.gvsig.vcsgis.swing.impl.initworkspace.VCSGisJInitWorkspaceImpl.doUpdateEnableComponents(VCSGisJInitWorkspaceImpl.java:224)
    at org.gvsig.vcsgis.swing.impl.initworkspace.VCSGisJInitWorkspaceImpl.lambda$initComponents$2(VCSGisJInitWorkspaceImpl.java:122)
    at org.gvsig.tools.swing.impl.DefaultChangeListenerHelper.fireEvent(DefaultChangeListenerHelper.java:53)
    at org.gvsig.tools.swing.impl.DefaultChangeListenerHelper.fireEvent(DefaultChangeListenerHelper.java:45)
    at org.gvsig.tools.swing.api.pickercontroller.AbstractPickerController.fireChangeEvent(AbstractPickerController.java:67)
    at org.gvsig.fmap.dal.swing.impl.jdbc.JDBCConnectionPickerController.access$100(JDBCConnectionPickerControl
pl.java:224)
    at
org.gvsig.vcsgis.swing.impl.initworkspace.VCSGisJInitWorkspaceImpl.lambda$initComponents$2(VCSGisJInitWorkspaceImpl.java:122)
    at org.gvsig.tools.swing.impl.DefaultChangeListenerHelper.fireEvent(DefaultChangeListenerHelper.java:53)
    at org.gvsig.tools.swing.impl.DefaultChangeListenerHelper.fireEvent(DefaultChangeListenerHelper.java:45)
    at org.gvsig.tools.swing.api.pickercontroller.AbstractPickerController.fireChangeEvent(AbstractPickerController.java:67)
    at org.gvsig.fmap.dal.swing.impl.jdbc.JDBCConnectionPickerController.access$100(JDBCConnectionPickerController.java:36)
    at org.gvsig.fmap.dal.swing.impl.jdbc.JDBCConnectionPickerController$2.lambda$itemStateChanged$0(JDBCConnectionPickerController.java:65)
    at java.awt.event.InvocationEvent.dispatch(Unknown Source)
    at java.awt.EventQueue.dispatchEventImpl(Unknown 
java:122)
    at org.gvsig.tools.swing.impl.DefaultChangeListenerHelper.fireEvent(DefaultChangeListenerHelper.java:53)
    at org.gvsig.tools.swing.impl.DefaultChangeListenerHelper.fireEvent(DefaultChangeListenerHelper.java:45)
    at org.gvsig.tools.swing.api.pickercontroller.AbstractPickerController.fireChangeEvent(AbstractPickerController.java:67)
    at
org.gvsig.fmap.dal.swing.impl.jdbc.JDBCConnectionPickerController.access$100(JDBCConnectionPickerController.java:36)
    at
org.gvsig.fmap.dal.swing.impl.jdbc.JDBCConnectionPickerController$2.lambda$itemStateChanged$0(JDBCConnectionPickerController.java:65)
    at java.awt.event.InvocationEvent.dispatch(Unknown Source)
    at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
    at java.awt.EventQueue.access$500(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.awt.EventQueue.dispatchEvent(Unknown Source)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.run(Unknown Source)

ontroller.java:65)
    at java.awt.event.InvocationEvent.dispatch(Unknown Source)
    at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
    at java.awt.EventQueue.access$500(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.awt.EventQueue.dispatchEvent(Unknown Source)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.run(Unknown Source)

History
#1 - 03/01/2021 12:46 PM - José Olivas
- gvSIG build changed from 3213 to 3215

#2 - 03/02/2021 09:09 PM - Joaquín  del Cerro Murciano
- Proyecto changed from AYTOA 1 VCSGIS to AYTOA 1

#3 - 03/03/2021 10:33 AM - Joaquín  del Cerro Murciano
- Priority changed from Normal to High

#4 - 03/03/2021 10:37 AM - Joaquín  del Cerro Murciano
- Priority changed from High to Urgent

#5 - 03/05/2021 07:17 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.0-3216 to 2.6.1-final

#6 - 03/17/2021 06:47 AM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí
- Status changed from New to In progress

#7 - 03/17/2021 07:24 AM - Francisco Díaz Carsí
- Status changed from In progress to Invalid

No consigo reproducir el bug, ni creando un repositorio de H2 ni de Oracle.
El error dice que no existe la variable REPOSITORY_CODE y compruebo que se está creando e inicializando con un valor correcto.

Pongo el estado de la petición a "Invalid" lo cual quiere decir que en el momento de revisarla, no se produce el error, pero no quiere decir que en el
momento de reportarla no se produjera, tal vez se haya arreglado entre ambos momentos.

#8 - 03/17/2021 10:22 AM - Francisco Díaz Carsí
- Target version changed from 2.6.1-final to 2.6.0-3218
